# Changelog

2.9

add Neue HAFAS-Backends: BVG, KVB, mobiliteit, RMV, RSAG, STV, VMT, VOS, VRN, ZVV.

build HAFAS-Backends: verbesserte Unterstützung für Ringlinien.

build Verbesserte Unterstützung für uneindeutige Stationsnamen. Berlin Hbf ist beispielsweise intern in „Berlin Hbf“ (Gleise 1 bis 8), „Berlin Hbf“ (Gleise 11 bis 14) und „Berlin Hbf (S-Bahn)“ (Gleise 15 und 16) getrennt. Teile von travelynx gingen in der Vergangenheit fälschlich davon aus, dass es keine Stationen mit identischen Namen, aber unterschiedlichen internen IDs gebe. Dies hat u.a. bei Fahrten von/nach Berlin Hbf und innerhalb von Karlsruhe zu interessanten Bugs geführt.

warning Reisen, die in travelynx 2.8.0 bis 2.8.30 mittels IRIS-Backend geloggt wurden, können in Einzelfällen fehlerhafte Stationsangaben enthalten. Der Bug betrifft alle Fahrten von/zu Stationen, die in der von travelynx genutzten Stationsdatenbank zum Checkin-Zeitpunkt nicht bekannt waren. Eine nachträgliche Korrektur dieser Fahrten folgt ggf. in einem späteren Release.

announcement travelynx verlinkt bei Registrierung und Anmeldung nun instanzspezifische Nutzungsbedingungen. Admins sollten beim Update auf diese Version templates/terms-of-service.html.ep anlegen. Die Nutzungsbedingungen können beispielsweise Richtlinien für die Freitexte in Checkin-Kommentaren und auf der Profilseite vorgeben oder allgemeine Hinweise und Bedingungen zur Verfügbarkeit der jeweiligen Instanz beinhalten.

2.8

add Unterstützung von HAFAS-Backends abseits der Deutschen Bahn. Somit sind zumeist akkurate Echtzeit- und Routendaten für Checkins u.a. in Aachen, Berlin/Brandenburg, Hessen, Sachsen-Anhalt, Schleswig-Holstein, Österreich und der Schweiz verfügbar. Das Backend muss vor dem Checkin explizit ausgewählt werden. Eine Synchronisierung mit Traewelling wird nur für DB (IRIS-TTS) – vormals „Schienenverkehr“ – und DB (HAFAS) – vormals „Nahverkehr“ – durchgeführt. Manuell eingetragene Fahrten sind vorerst ebenfalls auf DB (HAFAS) beschränkt.

announcement Stationssuche und Verbindungsvorschläge berücksichtigen nur noch das ausgewählte Backend. Die bisherige Verknüpfung von DB (IRIS-TTS) und DB (HAFAS) entfällt.

2.7

star Checkins via Nahverkehr (HAFAS) speichern nun Polylines (Routen für die Fahrtenkarte) und Wagenreihungen, sofern verfügbar. Sie sind damit fast identisch zu Checkins via Schienenverkehr (IRIS); es fehlen im Wesentlichen lediglich die mit Zeitstempel versehenen Verspätungs- und Störungsmeldungen.

build Verbesserte (aber weiterhin nicht perfekte) Unterstützung für Ringlinien.

build Korrekte Verlinkung von HAFAS-basierten Abfahrtstafeln bei den Unterwegshalten des aktuellen Checkins im Nahverkehrsmodus. Die Konfigurationsmöglichkeit zur Auswahl zwischen bahn.expert und DBF unter Account → Externe Dienste besteht wegen der Abhängigkeit des Diensts vom genutzten Backend und zwecks besserer Wartbarkeit von travelynx nun nicht mehr.

2.6

star Übersichtlichere Darstellung vergangener Fahrten. Patch von Cass Dingenskirchen, vielen Dank!

add Nahverkehr (HAFAS-Backend): Checkins in Fahrten, die mehr als 30 Minuten vor/nach dem Anfragezeitpunkt liegen.

2.5

star Übersichtlichere Abfahrstafel mit Kennzeichnung der verschiedenen Arten von Verkehrsmitteln. Patch von Cass Dingenskirchen, vielen Dank!

2.4

star Berücksichtigung verwandter Stationen (d.h. Stationen, die zwar gleich heißen, aber intern unterschiedliche IDs haben) bei Checkin-Vorschlägen für Nahverkehrsfahrten. Vorschläge für Zugverbindungen gibt es aus dem Nahverkehrsmenü in vielen Fällen ebenfalls, andersherum meist noch nicht. Die restlichen Feinheiten dieses Themenkomplexes werden im Laufe der Zeit ausgebügelt.

2.3

add Checkin-Vorschläge für Nahverkehrsfahrten. Die manuelle Angabe von Nahverkehrszielen für Anschlusshinweise entfällt damit. Bei größeren oder aus anderen Gründen im Backend komplexen Stationen werden derzeit teilweise nicht alle möglichen Verbindungen angegeben – dieser Aspekt wird in einem späteren Release verbessert. Eine von der Auswahl von Nah- vs. Fernverkehr unabhängige Liste mit Verbindungsvorschlägen folgt ebenfalls später.

2.2

add Hinweis für fehlende Echtzeitdaten (→ nur Fahrplandaten verfügbar) bei der aktuellen Reise.

build Korrekte Angabe der Unterwegshalte auch bei fehlenden Echtzeitdaten.

2.1

add Vorschlag geeigneter Stationen bei Eingabe eines uneindeutigen Namens auf der Startseite.

build Fahrten, die vor Mitternacht begannen, zeigen nun auch nach Mitternacht korrekte Echtzeitdaten an und gehen nicht fälschlich von 24 Stunden Verspätung aus.

build Vergangene Fahrten und letzte Fahrtziele werden nun anhand der Abfahrtszeit und nicht anhand der Nummer des Eintrags ausgewählt. Somit können manuelle Einträge für weit in der Vergangenheit liegende Fahrten keine vor kurzem geloggten Fahrten mehr verdecken.

2.0

add Checkins in Nahverkehrsmittel (Bus und Bahn) und Züge außerhalb des DB-Netzes per HAFAS-Backend. Die verfügbaren Backends werden per Icon Identifiziert: train IRIS und directions HAFAS.

announcement Aktuell beschränkt die HAFAS-Anbindung auf Stationssuche, Checkins und Träwelling-Synchronisierung. Eine Einbindung in die Verbindungssuche und das manuelle Nachtragen von HAFAS-Fahrten folgen zu einem späteren Zeitpunkt.

warning Stationsangaben (z.B. auf der Hauptseite, beim Import oder in der API) müssen nun genau mit der gewünschten Station übereinstimmen. Unbekannte Stationen werden an das HAFAS weitergereicht, welches meist weniger Details bereitstellt als das IRIS. Fuzzy Matching wird nicht mehr in der bisherigen Form unterstützt. Sofern eine Station sowohl via IRIS als auch via HAFAS bekannt ist, wird die IRIS-Version bevorzugt.

warning Das ds100-Feld in API und Web Hook ist nun optional und bei HAFAS-Checkins null.

1.34

build Die Verknüpfung von travelynx zu Träwelling nutzt nun OAuth2 anstelle eines passwortbasierten Logins. Einerseits ist OAuth2 eine bedeutend elegantere Lösung; andererseits wird die Träwelling-API für Passwortlogin bald abgeschaltet. Für bestehende Träwelling-Verknüpfungen ergeben sich keine Veränderungen. Neue Verknüpfungen sind weiterhin möglich und benötigen nun keine Angabe von E-Mail und Passwort mehr. Selbst gehostete travelynx-Instanzen, die die Träwelling-Verknüpfung anbieten möchten, müssen ab soforn bei Träwelling eine eigene Anwendung anlegen und in travelynx konfigurieren. Bitte auch die neue Dependency Mojolicious::Plugin::OAuth2 im cpanfile beachten.

announcement Derzeit unterstützt travelynx neben Bahnhofsnamen auch EVA-IDs und DS100/Ril100-Codes. In Zukunft werden in einzelnen Fällen nur noch Bahnhofsnamen und EVA-IDs unterstützt.

1.33

add Synchronisierung der Checkin-Sichtbarkeit von travelynx zu Träwelling (Patch von networkException).

add Timeline-Ansicht mit aktuellen Checkins gefolgter Accounts. Die Timeline wird von der Homepage verlinkt, wenn passende Checkins vorliegen.

add Angabe von passenden Checkins gefolgter Accounts in der Abfahrtstafel (im Sinne von: „der folgende Account ist mit auch mit diesem Zug unterwegs“).

1.32

add Angabe von Kommentaren und Sichtbarkeit in der JSON-API

add Editierbare Beschreibung und optionale Links auf der Profilseite. Hier können beispielsweise Träwelling oder andere Social Media-Accounts eingetragen werden.

add Optional: folgen von Accounts. Die Sichtbarkeit von Checkins und vergangenen Fahrten kann somit auf Follower eingeschränkt werden. Eine Übersichtsseite mit aktuellen Checkins gefolgter Accounts (ähnlich zur Timeline im Fediverse) folgt in einem späteren Release.
Für jeden Account kann individuell eingestellt werden, ob Accounts ihm folgen können, ob Folge-Anfragen zunächst angenommen werden müssen oder ob Folgen grundszätzlich nicht möglich ist. Standardmäßig ist dieses Feature inaktiv: Folge(anfrage)n müssen zunächst in den Einstellung aktiviert werden. Falls notwendig, können einzelne Accounts blockiert und dadurch am Folgen und am Stellen von Folge-Anfragen gehindert werden.

1.31

add Vorhalten der Echtzeitdaten von Unterwegshalten.

1.30

add Individuelle Sichtbarkeit für jede Fahrt. Optional können Fahrten und Check-Ins nur mit einem explizit geteilten Link für andere Personen sichtbar sein.

1.29

add Jahresrückblick mit erweiterten Statistiken. Der Rückblick ist jeweils ab dem 31.12. verfügbar.

1.28

build Behandlung von nicht mehr im IRIS eingepflegten Stationen bei vergangenen Reisen. Bislang hatten diese zu unvollständigen Reisestatistiken geführt.

1.27

add Angabe von „Kein Zustieg“ (Abfahrtstafel) bzw. „Kein Ausstieg“ (Route) durch eingeklammerte Uhrzeiten „(HH:MM)“.

1.26

add Angabe der erwarteten Zugauslastung bei Unterwegshalten und Anschlussvorschlägen, sofern verfügbar.

1.25

star Umstellung der Träwelling-Anbindung auf Träwelling-API v1, da v0 sukzessive abgeschaltet wird. API v1 ist noch nicht stabil.

star Nutzung eines internen HAFAS-mgate.exe-Clients anstelle von transport.rest.

1.24

add Angabe der geschätzten Ankunft am Ziel bei Checkinvorschlägen.

add Anzeige von Anschlussmöglichkeiten an den Nahverkehr (Bus und Stadtbahn) unterhalb der Anschlusszüge. Da travelynx derzeit keine Checkins in Nahverkehrsmittel unterstützt, muss die Liste relevanter Ziele händisch unter Account → Verbindungen gepflegt werden. Sofern eine zukünftige travelynx-Version Nahverkehrs-Checkins unterstützt, entfällt diese Liste.

add Optionale Verlinkung externer Dienste (z.B. DBF oder bahn.expert) in der eigenen Checkin-Ansicht. Somit können von dort aus alle Abfahrten an einer Ziel- oder Unterwegsstation eingesehen werden. Dieses Feature ist standardmäßig deaktiviert und kann über Account → Externe Dienste konfiguriert werden.

star Checkinvorschläge für Anschlussverbindungen schauen weiter in die Zukunft und enthalten weniger nutzlose Vorschläge (z.B. Rückfahrt zur Ursprungsstation oder Weiterfahrt zu einem späteren Ziel mit dem Folgetakt).

1.23

add Optionale Links zu externen Abfahrtsmonitoren in der Halteliste des aktuell ausgewählten Zugs. Die Abfahrtstafelseite kann bei den Account-Einstellungen konfiguriert werden.

1.22

star Verbesserte Verknüpfung und Synchronisierung mit Träwelling.

add Inaktive Accounts erhalten nach einem Jahr eine E-Mail, die auf die in vier Wochen folgende Löschung hinweist. Betreiber:innen einer selbstgehosteten travelynx-Instanz müssen hierzu base_url in travelynx.conf setzen (siehe examples/travelynx.conf).

1.21

add Annotation von Fahrten mit fehlenden Echtzeitdaten in der Abfahrtstafel. Derzeit wird das Vorhandensein von Echtzeitdaten noch nicht im Fahrtenbuch gespeichert.

add Unterstützung von Maßnahmen zum Schutz vor E-Mail-Spam über das Registrierungsformular.

1.20

add Accountnamen können jetzt in den Einstellungen geändert werden.

1.19

add Hinweis bei knapper Umstiegszeit zu Anschlussverbindungen.

star Übersichtlichere Navigation in der Fahrtenliste / Statistikansicht.

1.18

add Autmatische Checkin-Synchronisierung mit Träwelling. Checkins können entweder von Träwelling zu travelynx oder von travelynx zu Träwelling übernommen werden. Das Feature läuft vorerst als Public Beta.

1.17

add Öffentliches Profil. Hier können auf Wunsch der aktuelle Status sowie die letzten zehn Zugfahrten angezeigt werden. Diese sind wahlweise gar nicht, nur mit Anmeldung oder öffentlich sichtbar. Zugfahrten, die älter als vier Wochen sind, können komplett verborgen werden.

1.16

add Auswertung von Zugfahrten von/nach bestimmten Stationen aufgeschlüsselt nach Jahr und Monat. Diese Daten können für die Angaben zur Pendlerpauschale bei der Steuererklärung nützlich sein.

add CSV-Export aller Fahrten.

1.15

add Die über „Teilen“ verfügbare Reisestatus-Seite kann nun auch Details beendeter Zugfahrten anzeigen, wenn die entsprechende Option in den Privatsphäre-Einstellungen aktiv ist.

build Behandlung von Haltausfällen während der Reise bzw. nach dem Checkin.

1.14

add API-Endpunkt zum Import nicht in travelynx getrackter Zugfahrten.

add Status-API: Angabe der Unterwegshalte zwischen Start und Ziel.

1.13

add API-Endpunkt zum Einchecken in Züge, aktualisieren der Zielwahl und Zurücknehmen des letzten Checkins.

1.12

add Unterstützung der im Fahrplanjahr 2020 hinzugekommenen und geänderten Stationen. Start und Ziel von mit travelynx geloggten Fahrten sind nun vom Stationsnamen unabhängig (d.h. Namensänderungen werden automatisch übernommen).

1.11

add Optionale Kommentare für Zugfahrten. Der Eintrag zur aktuellen Zugfahrt kann im öffentlichen Nutzerstatus angezeigt werden, wenn die entsprechende Option in den Privatsphäre-Einstellungen aktiv ist.

1.10

add Kartographische Darstellung vergangener Zugfahrten auf der History-Seite.

1.9

add Generierung vorausgefüllter Fahrgastrechteformulare bei Zugausfällen und Verspätungen ab 60 Minuten.

1.8

add Angabe der Ausstiegsseite für einzelne Züge und Zielbahnhöfe.

add Angabe der Wagenreihung vor der Abfahrt. Derzeit sind Wagenreihungen nur für Fernverkehrszüge verfügbar.

1.7

add Ankunft am nächtsten Unterwegshalt im Reisestatus.

star Die Ankunftszeit am Ziel ist jetzt auch bei langen Fahrten sofort bekannt.

1.6

add Anzeige von häufig genutzten Verbindungen in der Abfahrtstafel. Wie bei den Anschlusszügen kann darüber direkt (inkl. Vorauswahl des Ziels) eingecheckt werden.

add Konfigurationsseite, um die Heuristik für Anschlusszüge und häufige Verbindungen zu deaktivieren.

1.5

add Anzeige von Anschlusszügen kurz vor Erreichen der aktuellen Zielstation. Nach Ankunft kann darüber direkt (inkl. Vorauswahl des neuen Ziels) eingecheckt werden. Die Heuristik berücksichtigt derzeit alle Stationen, die in den letzten sechs Wochen mehr als zweimal vom jeweiligen Bahnhof aus angefahren wurden.

1.4

add Dark Mode (Patch von @marudor).

1.3

add Teilen der aktuellen Zugfahrt. Wird derzeit nur auf Chrome (Android), Opera (Android) und Safari (iOS / macOS) unterstützt.

1.2

add Web Hooks an eine konfigurierbare URL bei Checkin und Checkout.

1.1

add Öffentlicher Status unter „/status/name“ (opt-in, muss unter account/privacy aktiviert werden)

1.0

- Stationswahl per Geokoordinaten
- Manueller Checkin und automatischer Checkout
- History und Statistiken
- API zur Statusabfrage